// pages/beiyinmei/beiyinmei.js
import qrcode, {
  height
} from '../../utils/llqrcodefrankyin.js'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    canvas: {
      height: 100,
      width: 100
    },
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let flag = true
    this.cameraContext = wx.createCameraContext()
    const listener = this.cameraContext.onCameraFrame((frame) => {
      if (flag) {
        flag = false
        const data = new Uint8ClampedArray(frame.data);
        const d = qrcode.decodefrank(frame.width, frame.height, data)
        console.log(d);
        if (d) {
          wx.showToast({
            title:'通过'
          })
          const base64 = wx.arrayBufferToBase64(frame.data)
          wx.request({
            url:'https://www.7856.work:4433/api/Bym_classfily_post/',
            method:'POST',
            data:{
              device_id:'50',
              base:base64
            },
            success(res){
              console.log(res);
            },
            fail(e){
              console.log(e);
            }
          })
        } else {
          flag = true
        }
      }
    })
    listener.start()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})